cURL
curl --request GET \
--url https://api.comm.com/api/v1/sms/routing/rates/updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/sms/routing/rates/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/sms/routing/rates/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"message_id": "<string>",
"sms_route_id": "<string>",
"country_id": 123,
"network_id": "<string>",
"old_rate": 123,
"new_rate": 123,
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"message": {
"id": "<string>",
"sms_route_id": "<string>",
"route_name": "<string>",
"company": "<string>",
"stats": "<string>",
"errors": [
"<string>"
],
"info": [
"<string>"
],
"mail": {
"subject": "<string>",
"from": [
{
"full": "<string>",
"host": "<string>",
"mail": "<string>",
"mailbox": "<string>",
"personal": "<string>"
}
],
"to": [
{
"full": "<string>",
"host": "<string>",
"mail": "<string>",
"mailbox": "<string>",
"personal": "<string>"
}
],
"cc": [
{
"full": "<string>",
"host": "<string>",
"mail": "<string>",
"mailbox": "<string>",
"personal": "<string>"
}
],
"bcc": [
{
"full": "<string>",
"host": "<string>",
"mail": "<string>",
"mailbox": "<string>",
"personal": "<string>"
}
],
"date": "<string>",
"message_id": "<string>",
"attachments": [
{
"name": "<string>",
"content_type": "<string>",
"size": 123
}
]
},
"state": "<string>",
"settings": {
"columns": "<string>",
"extra_settings": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"files": [
{
"id": "<string>",
"sms_route_id": "<string>",
"sms_route_price_message_id": "<string>",
"file_name": "<string>",
"stats": "<string>",
"info": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
},
"sms_route": {
"id": "<string>",
"name": "<string>",
"company_id": "<string>",
"is_connected": true,
"connection_id": "<string>",
"rates_total": 123,
"created_at": "2023-11-07T05:31:56Z",
"links": {
"delete": "<string>"
},
"queue_info": [
"<unknown>"
],
"company": {
"id": "<string>",
"team_id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"is_active": true,
"overdraft_enabled": true,
"overdraft_limit": 123,
"provider_balance": 123,
"provider_balance_updated_at": "<string>",
"balance_checker": "<string>",
"endpoints_count": "<string>",
"sms_routes_count": "<string>",
"balance_email": "<string>",
"links": [
"<string>"
],
"client_balance": "<string>",
"vendor_balance": "<string>",
"balance_checker_data": {
"balance_regex": "<string>",
"api_auth_data": [
"<string>"
],
"balance_endpoint_url": "<string>",
"balance_json_path": "<string>",
"notification_if_no_data_x_days": 2
}
},
"connection": "<string>",
"client_balance": 123,
"vendor_balance": 123
},
"country": {
"id": 123,
"iso": "<string>",
"name": "<string>",
"nicename": "<string>",
"iso3": "<string>",
"numcode": 123,
"phonecode": 123,
"has_states": true,
"sender_id": true
},
"network": {
"id": 123,
"mcc": 123,
"mnc": 123,
"country_name": "<string>",
"country_code": "<string>",
"country_id": 123,
"network_brand_id": "<string>",
"brand": "<string>",
"operator": "<string>",
"status": "<string>"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}SmsRoutingRates
Get v1smsroutingratesupdates
GET
/
v1
/
sms
/
routing
/
rates
/
updates
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Array of SmsRoutePriceUpdateResource
Show child attributes
Show child attributes
⌘I